import { Component, OnInit, ViewEncapsulation } from '@angular/core';
import { MonkeyEcxProgressBarService } from './progress-bar.service';

@Component({
  selector: 'monkeyecx-progress-bar',
  templateUrl: './progress-bar.component.html',
  styleUrls: ['./progress-bar.component.scss'],
  encapsulation: ViewEncapsulation.None
})
export class MonkeyEcxProgressBarComponent implements OnInit {
  visible: boolean = false;

  constructor(private progressBarService: MonkeyEcxProgressBarService) {
    //not to do
  }

  ngOnInit() {
    this.progressBarService?.visibleConfig()?.subscribe((visible: boolean) => {
      this.visible = visible;
    });
  }
}
