import { Component, Input, ViewEncapsulation } from '@angular/core';
import { MonkeyModalConfig } from 'monkey-style-guide';

@Component({
  selector: 'monkeyecx-version-changed',
  templateUrl: './version-changed.component.html',
  styleUrls: ['./version-changed.component.scss'],
  encapsulation: ViewEncapsulation.None
})
export class VersionChangedComponent {
  @Input() config: MonkeyModalConfig | null = null;

  @Input() modalRef: any;

  onClose() {
    document.location.reload();
  }
}
