import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TranslateModule } from '@ngx-translate/core';
import {
  MonkeyButtonModule,
  MonkeyIconModule,
  MonkeyInputModule,
  MonkeyModalModule
} from 'monkey-style-guide';
import { VersionChangedComponent } from './version-changed.component';

@NgModule({
  declarations: [VersionChangedComponent],
  imports: [
    CommonModule,
    MonkeyButtonModule,
    MonkeyIconModule,
    MonkeyInputModule,
    MonkeyModalModule,
    TranslateModule.forChild()
  ],
  exports: [VersionChangedComponent]
})
export class VersionChangedModule {}
