import { Pipe, PipeTransform } from '@angular/core';
import { MonkeyEcxUtils } from '../utils/utils';

@Pipe({
  name: 'monkeyecxDisplayInitials'
})
export class MonkeyEcxDisplayInitialsPipe implements PipeTransform {
  transform(name: string): string {
    if (!MonkeyEcxUtils.persistNullEmptyUndefined(name)) return '';
    const first = MonkeyEcxUtils.cutFirstLastName(name, 'first');
    const second = MonkeyEcxUtils.cutFirstLastName(name, 'last');
    return `${first?.charAt(0)} ${second?.charAt(0)}`;
  }
}
