import { Pipe, PipeTransform } from '@angular/core';
import { formatNumber } from '@angular/common';
import { MonkeyEcxUtils } from '../utils/utils';

@Pipe({
  name: 'monkeyecxFormatNumber'
})
export class MonkeyEcxFormatNumberPipe implements PipeTransform {
  transform(number: string): string {
    if (!MonkeyEcxUtils.persistNullEmptyUndefined(number)) return '';

    return formatNumber(Number(number), 'ptbr');
  }
}
