import { Pipe, PipeTransform } from '@angular/core';
import { MonkeyEcxUtils } from '../utils/utils';

@Pipe({
  name: 'monkeyecxFormatSize'
})
export class MonkeyEcxFormatSizePipe implements PipeTransform {
  transform(size: string): string {
    if (!size) return '0 B';
    const sizeNum = Number(size);
    return MonkeyEcxUtils.formatFileSize(sizeNum);
  }
}
