import { Pipe, PipeTransform } from '@angular/core';
import { MonkeyEcxUtils } from '../utils/utils';

@Pipe({
  name: 'monkeyecxFormatDocumentType'
})
export class MonkeyEcxFormatDocumentTypePipe implements PipeTransform {
  transform(document: string, country?: string): string {
    if (!MonkeyEcxUtils.persistNullEmptyUndefined(document)) return '';
    return MonkeyEcxUtils.getDocumentType(document, country);
  }
}
