import { CurrencyPipe } from '@angular/common';
import { NgModule } from '@angular/core';
import { MonkeyEcxDisplayFirstNamePipe } from './monkeyecx-display-first-name';
import { MonkeyEcxDisplayInitialsPipe } from './monkeyecx-display-initials';
import { MonkeyEcxFormatAddressPipe } from './monkeyecx-format-address';
import { MonkeyEcxFormatBeaufityJSONPipe } from './monkeyecx-format-beautify-json';
import { MonkeyEcxFormatCurrencyPipe } from './monkeyecx-format-currency';
import { MonkeyEcxFormatDateGroupPipe } from './monkeyecx-format-date-group';
import { MonkeyEcxFormatDateTimelapsePipe } from './monkeyecx-format-date-timelapse';
import { MonkeyEcxFormatDateUnixTimelapsePipe } from './monkeyecx-format-date-unix-timelapse';
import { MonkeyEcxFormatDocumentPipe } from './monkeyecx-format-document';
import { MonkeyEcxFormatDocumentTypePipe } from './monkeyecx-format-type-document';
import { MonkeyEcxFormatNumberPipe } from './monkeyecx-format-number';
import { MonkeyEcxFormatPhonePipe } from './monkeyecx-format-phone';
import { MonkeyEcxFormatSizePipe } from './monkeyecx-format-size';
import { MonkeyEcxFormatTaxPipe } from './monkeyecx-format-tax';
import { MonkeyEcxFormatValue } from './monkeyecx-format-value';
import { MonkeyEcxFormatZipCodePipe } from './monkeyecx-format-zipcode';
import { MonkeyEcxTextTruncatePipe } from './monkeyecx-text-truncate';
import { MonkeyEcxTruncateQtdPipe } from './monkeyecx-truncate-qtd';

@NgModule({
  declarations: [
    MonkeyEcxDisplayFirstNamePipe,
    MonkeyEcxDisplayInitialsPipe,
    MonkeyEcxFormatAddressPipe,
    MonkeyEcxFormatBeaufityJSONPipe,
    MonkeyEcxFormatCurrencyPipe,
    MonkeyEcxFormatDateGroupPipe,
    MonkeyEcxFormatDateTimelapsePipe,
    MonkeyEcxFormatDateUnixTimelapsePipe,
    MonkeyEcxFormatDocumentPipe,
    MonkeyEcxFormatDocumentTypePipe,
    MonkeyEcxFormatNumberPipe,
    MonkeyEcxFormatPhonePipe,
    MonkeyEcxFormatSizePipe,
    MonkeyEcxFormatTaxPipe,
    MonkeyEcxFormatValue,
    MonkeyEcxFormatZipCodePipe,
    MonkeyEcxTextTruncatePipe,
    MonkeyEcxTruncateQtdPipe
  ],
  exports: [
    MonkeyEcxDisplayFirstNamePipe,
    MonkeyEcxDisplayInitialsPipe,
    MonkeyEcxFormatAddressPipe,
    MonkeyEcxFormatBeaufityJSONPipe,
    MonkeyEcxFormatCurrencyPipe,
    MonkeyEcxFormatDateGroupPipe,
    MonkeyEcxFormatDateTimelapsePipe,
    MonkeyEcxFormatDateUnixTimelapsePipe,
    MonkeyEcxFormatDocumentPipe,
    MonkeyEcxFormatDocumentTypePipe,
    MonkeyEcxFormatNumberPipe,
    MonkeyEcxFormatPhonePipe,
    MonkeyEcxFormatSizePipe,
    MonkeyEcxFormatTaxPipe,
    MonkeyEcxFormatValue,
    MonkeyEcxFormatZipCodePipe,
    MonkeyEcxTextTruncatePipe,
    MonkeyEcxTruncateQtdPipe
  ],
  providers: [CurrencyPipe]
})
export class MonkeyEcxPipesModule {}
