/* eslint-disable indent */
import { ModuleWithProviders, NgModule, Optional, SkipSelf } from '@angular/core';
import { MonkeyEcxConfigService } from './monkeyecx-config.service';

@NgModule()
export class MonkeyEcxConfigModule {
  constructor(
    @Optional()
    @SkipSelf()
    parentModule: MonkeyEcxConfigModule
  ) {
    if (parentModule) {
      throw new Error('MonkeyEcxConfigModule is already loaded. Import it in the AppModule only!');
    }
  }

  static forRoot(): ModuleWithProviders<MonkeyEcxConfigModule> {
    return {
      ngModule: MonkeyEcxConfigModule,
      providers: [MonkeyEcxConfigService]
    };
  }
}
