import { Injectable } from '@angular/core';

let window: any;

const text: any = {
  i18n: {
    title: 'We have an quick update for you',
    message: 'Click anywhere here to reload your locale',
  },
  theme: {
    title: 'We have an quick update for you',
    message: 'Click anywhere here to reload your theme',
  },
};

@Injectable({
  providedIn: 'root',
})
export class MonkeyEcxErrorConfigService {
  constructor() {
    // not to do
  }

  private enableSupport() {
    window.zE('webWidget', 'updateSettings', {
      webWidget: {
        color: {
          theme: '#0273E8',
          launcherText: '#fff',
          header: '#0273E8',
          button: '#0273E8',
        },
        zIndex: 99,
        offset: {
          horizontal: '1px',
          vertical: '20px',
        },
        mobile: {
          labelVisible: true,
        },
        launcher: {
          mobile: {
            labelVisible: true,
          },
        },
      },
    });
    window.zE('webWidget', 'setLocale', 'en-US');
    window.zE('webWidget', 'show');
  }

  public apply(type: string) {
    const { title, message } = text?.[type];

    const element = document.createElement('div');
    element.id = 'monkeyecx-information';

    const elementImg = document.createElement('img');
    elementImg.width = 128;
    elementImg.src = 'assets/images/monkey.svg';
    elementImg.style.marginBottom = '50px';

    const elementTitle = document.createElement('span');
    elementTitle.id = 'title';
    elementTitle.innerText = title;
    elementTitle.style.marginBottom = '20px';

    const elementMessage = document.createElement('span');
    elementMessage.id = 'message';
    elementMessage.innerText = message;
    elementMessage.style.marginBottom = '20px';

    const elementChat = document.createElement('span');
    elementChat.id = 'message';
    elementChat.innerText =
      "If you're having trouble to update, please use the support icon bellow";

    element.appendChild(elementImg);
    element.appendChild(elementTitle);
    element.appendChild(elementMessage);
    element.appendChild(elementChat);

    element.addEventListener('click', () => {
      document.location.reload();
    });

    document.body.appendChild(element);

    document.body.getElementsByTagName('app-root')[0].remove();
    this.enableSupport();
  }
}
