import { Injectable } from '@angular/core';
import { MonkeyStyleGuideModalService } from 'monkey-style-guide';
import { VersionChangedComponent } from '../../../components/version-changed';

@Injectable({
  providedIn: 'root'
})
export class MonkeyEcxOthersErrorsHandlingService {
  constructor(private modalService: MonkeyStyleGuideModalService) {
    // not to do
  }

  public handleError(error: any) {
    const { modalService } = this;
    const { message } = error;

    if (new RegExp(/Loading chunk [\d]+ failed/).test(message)) {
      modalService.open(VersionChangedComponent, {
        color: 'theme',
        size: 'md'
      });
    }
  }
}
