import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TranslateModule } from '@ngx-translate/core';
import { MonkeyButtonModule, MonkeyModalModule } from 'monkey-style-guide';
import { AlertsComponent } from './alerts.component';

@NgModule({
  declarations: [AlertsComponent],
  imports: [CommonModule, MonkeyButtonModule, MonkeyModalModule, TranslateModule.forChild()],
  exports: [AlertsComponent]
})
export class AlertsModule {}
