import { Component, Input, OnInit, ViewEncapsulation } from '@angular/core';
import { MonkeyModalConfig } from 'monkey-style-guide';
import { MonkeyEcxConfigBoostrap } from '../../core/interfaces';

@Component({
  selector: 'monkeyecx-closed-to-maintenance',
  templateUrl: './closed-to-maintenance.component.html',
  styleUrls: ['./closed-to-maintenance.component.scss'],
  encapsulation: ViewEncapsulation.None
})
export class ClosedToMaintenanceComponent implements OnInit {
  @Input() config: MonkeyModalConfig | null = null;

  @Input() modalRef: any;

  _configBoostrap: MonkeyEcxConfigBoostrap | null = null;

  ngOnInit() {
    this._configBoostrap = this.config?.data;
  }

  onClose() {
    document.location.reload();
  }
}
