import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { TranslateModule } from '@ngx-translate/core';
import {
  MonkeyButtonModule,
  MonkeyIconModule,
  MonkeyInputModule,
  MonkeyModalModule
} from 'monkey-style-guide';
import { MonkeyEcxPipesModule } from '../../core/pipes/monkeyecx-pipes.module';
import { ClosedToMaintenanceComponent } from './closed-to-maintenance.component';

@NgModule({
  declarations: [ClosedToMaintenanceComponent],
  imports: [
    CommonModule,
    MonkeyButtonModule,
    MonkeyIconModule,
    MonkeyInputModule,
    MonkeyModalModule,
    MonkeyEcxPipesModule,
    TranslateModule.forChild()
  ],
  exports: [ClosedToMaintenanceComponent]
})
export class ClosedToMaintenanceModule {}
