/* eslint-disable space-before-function-paren */
/* eslint-disable func-names */
export function MonkeyEcxCoreCharts(render = true) {
  return (
    target: Object,
    propertyName: string,
    propertyDescriptor: PropertyDescriptor
  ): PropertyDescriptor => {
    const method = propertyDescriptor.value;

    propertyDescriptor.value = function(...args: any[]) {
      const context = this;
      if (render) {
        const scriptsLoaded = Array.from(document.scripts);
        scriptsLoaded.forEach((script: any) => {
          const { src } = script;
          if (src.search('www.gstatic.com/charts') > 0) {
            document.getElementsByTagName('head')[0].removeChild(script);
          }
        });

        const node = document.createElement('script');
        node.src = 'https://www.gstatic.com/charts/loader.js';
        node.type = 'text/javascript';
        node.async = true;
        node.id = 'monkeyecx-charts-settings';
        node.onload = () => {
          method.apply(context, args);
        };
        document.getElementsByTagName('head')[0].appendChild(node);
      } else {
        const scriptsLoaded = Array.from(document.scripts);
        scriptsLoaded.forEach((script: any) => {
          const { src } = script;
          if (src.search('www.gstatic.com/charts') > 0) {
            document.getElementsByTagName('head')[0].removeChild(script);
          }
        });

        method.apply(context, args);
      }
    };

    return propertyDescriptor;
  };
}
