import { Directive, ElementRef, HostListener } from '@angular/core';
import { MonkeyEcxUtils } from '../utils/utils';

@Directive({
  selector: '[monkeyecxOnlyNumbers]'
})
export class MonkeyEcxOnlyNumbersDirective {
  constructor(private elementRef: ElementRef) {
    // not to do
  }

  @HostListener('input', ['$event'])
  onInputChange(event: Event) {
    const initalValue = this.elementRef.nativeElement.value;

    this.elementRef.nativeElement.value = MonkeyEcxUtils.handleOnlyNumbers(initalValue);
    if (initalValue !== this.elementRef.nativeElement.value) {
      event.stopPropagation();
    }
  }
}
