import { Pipe, PipeTransform } from '@angular/core';
import { MonkeyEcxUtils } from '../utils/utils';

@Pipe({
  name: 'monkeyecxDisplayFirstName'
})
export class MonkeyEcxDisplayFirstNamePipe implements PipeTransform {
  transform(name: string): string {
    if (!MonkeyEcxUtils.persistNullEmptyUndefined(name)) return '';
    return MonkeyEcxUtils.cutFirstLastName(name);
  }
}
