import { Pipe, PipeTransform } from '@angular/core';
import { MonkeyEcxUtils } from '../utils/utils';

@Pipe({
  name: 'monkeyecxFormatDocument'
})
export class MonkeyEcxFormatDocumentPipe implements PipeTransform {
  transform(document: string, withType?: false): string {
    if (!MonkeyEcxUtils.persistNullEmptyUndefined(document)) return '';
    return MonkeyEcxUtils.formatDocumentWithMask(document, withType);
  }
}
