import { Pipe, PipeTransform } from '@angular/core';
import { MonkeyEcxUtils } from '../utils/utils';

@Pipe({
  name: 'monkeyecxFormatZipCode'
})
export class MonkeyEcxFormatZipCodePipe implements PipeTransform {
  transform(zipCode: string): string {
    if (!MonkeyEcxUtils.persistNullEmptyUndefined(zipCode)) return '';
    return MonkeyEcxUtils.formatZipCode(zipCode);
  }
}
