import { Pipe, PipeTransform } from '@angular/core';

@Pipe({
  name: 'monkeyecxTruncateQtd'
})
export class MonkeyEcxTruncateQtdPipe implements PipeTransform {
  transform(number: number, threshold: number): string {
    return `${number > threshold ? `${threshold}+` : number}`;
  }
}
