/* eslint-disable no-console */
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';
import { HttpErrorResponse, HttpRequest } from '@angular/common/http';

@Injectable({ providedIn: 'root' })
export class MonkeyEcxAuthenticationService {
  constructor() {
    // not to do
  }

  hadAtLeastOneLogin = () => {
    console.error('hadAtLeastOneLogin needs to be declared!');
    return null;
  };

  redirectApp = () => {
    console.error('redirectApp needs to be declared!');
    return null;
  };

  redirectLoginWelcomeBack = () => {
    console.error('redirectLoginWelcomeBack needs to be declared!');
    return null;
  };

  isAuthorized = (): boolean => {
    console.error('isAuthorized needs to be declared!');
    return false;
  };

  isCompanyAuthorized = (): boolean => {
    console.error('isCompanyAuthorized needs to be declared!');
    return false;
  };

  isTokenMandatory = (url: string): boolean => {
    console.error('isTokenMandatory needs to be declared!');
    return false;
  };

  getRequestWithHeaders = (request: HttpRequest<any>): HttpRequest<any> | any => {
    console.error('getRequestWithHeaders needs to be declared!');
    return null;
  };

  getRequestWithHeadersOb = (request: HttpRequest<any>): Observable<any> | any => {
    console.error('getRequestWithHeadersOb needs to be declared!');
    return null;
  };

  refreshShouldHappen = (response: HttpErrorResponse): boolean => {
    console.error('refreshShouldHappen needs to be declared!');
    return false;
  };

  refreshToken = (): Observable<any> | null => {
    console.error('refreshToken needs to be declared!');
    return null;
  };

  init(args: {
    hadAtLeastOneLogin?: any;
    redirectApp?: any;
    redirectLoginWelcomeBack?: any;
    isAuthorized?: any;
    isTokenMandatory?: any;
    isCompanyAuthorized?: any;
    getRequestWithHeaders?: any;
    getRequestWithHeadersOb?: any;
    refreshShouldHappen?: any;
    refreshToken?: any;
  }) {
    this.hadAtLeastOneLogin = args?.hadAtLeastOneLogin || this.hadAtLeastOneLogin.bind(this);
    this.redirectApp = args?.redirectApp || this.redirectApp.bind(this);
    this.redirectLoginWelcomeBack =
      args?.redirectLoginWelcomeBack || this.redirectLoginWelcomeBack.bind(this);
    this.isAuthorized = args?.isAuthorized || this.isAuthorized.bind(this);
    this.isTokenMandatory = args?.isTokenMandatory || this.isTokenMandatory.bind(this);
    this.isCompanyAuthorized = args?.isCompanyAuthorized || this.isCompanyAuthorized.bind(this);
    this.getRequestWithHeaders =
      args?.getRequestWithHeaders || this.getRequestWithHeaders.bind(this);
    this.getRequestWithHeadersOb = args?.getRequestWithHeadersOb.bind(this);
    this.refreshShouldHappen = args?.refreshShouldHappen || this.refreshShouldHappen.bind(this);
    this.refreshToken = args?.refreshToken || this.refreshToken.bind(this);
  }
}
