import { ErrorHandler, ModuleWithProviders, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { MonkeyEcxErrorHandlingService } from './monkeyecx-error-handling.service';

@NgModule({
  imports: [CommonModule],
})
export class MonkeyEcxErrorHandlingModule {
  public static forRoot(): ModuleWithProviders<MonkeyEcxErrorHandlingModule> {
    return {
      ngModule: MonkeyEcxErrorHandlingModule,
      providers: [
        {
          provide: ErrorHandler,
          useClass: MonkeyEcxErrorHandlingService,
        },
      ],
    };
  }
}
