import { Injectable } from '@angular/core';

@Injectable({
  providedIn: 'root'
})
export class MonkeyEcxPaginationService {
  private callbacks: {
    [key: string]: Function;
  } = {};

  constructor() {
    // not to do
  }

  public setCallback(callback: Function, name: string = 'main') {
    this.callbacks = {
      ...this.callbacks,
      [name]: callback
    };
  }

  public execute(type: string, name: string = 'main') {
    const { callbacks } = this;
    const callback = callbacks?.[name];
    if (callback) callback(type);
  }
}
