import { Injectable } from '@angular/core';
import { CookieService } from 'ngx-cookie-service';

@Injectable({
  providedIn: 'root'
})
export class MonkeyEcxCookieStorageService {
  constructor(private cookieService: CookieService) {
    // not to do
  }

  public setCookie(name: string, value: any, environment: any) {
    this.removeCookie(name, environment);
    const { urlDomain } = environment;
    const handledDomain = urlDomain ? `.${urlDomain}` : '';
    this.cookieService.set(name, value, undefined, '/', handledDomain, true, 'None');
  }

  public getCookie(name: string) {
    return this.cookieService.get(name);
  }

  public removeCookie(name: string, environment: any) {
    const { urlDomain } = environment;
    const handledDomain = urlDomain ? `.${urlDomain}` : '';
    this.cookieService.delete(name, '/', handledDomain, true, 'None');
  }
}
